\documentclass{tikz-demo}

\usepackage{hyperref}
\hypersetup{
	pdftitle={TikZ in LaTeX, a non-comprehensive primer},
}

\begin{document}
	\input{includes/main/title-page.tex}

	\demo{3D graph (PGFPlots)}{includes/main/3d-pgfplots.tex}
	\demo{3D graph (PGF)}{includes/main/3d-pgf.tex}
	\demo{2D graph (PGFPlots)}{includes/main/2d-pgfplots.tex}
	\demo{Flowchart}{includes/main/flowchart.tex}
	\demo{Trees}{includes/main/trees.tex}
	\demo{Randomness}{includes/main/random.tex}
	\demo{Basic shapes}{includes/main/basic-shapes.tex}
	\demo{Simple drawing}{includes/main/simple.tex}

	\begin{page}
		\tableofcontents
	\end{page}
\end{document}
